Package javassist.tools.reflect

# Class CannotCreateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javassist.tools.reflect.CannotCreateException

All Implemented Interfaces:
  `Serializable`

public class CannotCreateException extends Exception
Signals that `ClassMetaobject.newInstance()` fails.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CannotCreateException(Exception e)`
`CannotCreateException(String s)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CannotCreateException

public CannotCreateException(String s)

### CannotCreateException

public CannotCreateException(Exception e)